Subject: Issues raised during the WG Last Call on draft-ietf-pwe3-cesopsn- 00.txt

From: Sasha Vainshtein <[email-masked]>
Date: Tue, 13 Jul 2004 16:55:11 +0200

Hi all,
I'd like to present a brief summary of issues raised during the WG Last Call
on
draft-ietf-pwe3-cesopsn-00.txt, indicating the issue and proposed resolution

or status (where possible). 

Feedback on the proposals is welcome.

1. Issue: Default packet latencies (in ms) should be power of 2
   - Reasoning: Simplifies HW implementations
   - Proposed resolution: use the following set of defaults for NxDS0
     o N=1     ==> 8 ms
     o N=2,3,4 ==> 4 ms
     o N>=5    ==> 1 ms

2. Issue: Two methods for carrying CAS (signaling packets and
   superframes with appended signaling sub-structure)
   - Reasoning: No need in two methods implementing same functionality
   - Proposed resolution: Leave only the method based on signaling packets
     o This was the original proposal
     o The superframe with the signaling sub-structure has been added
       for interworking with ATM-CES, this is now taken care of in
       the TDMoIP draft
     o No interest found among the CESoPSN implementers

3. Issue: The sequencing method used in CESoPSN differs from
   the method used in Layer 2 encapsulations (the sequence number
   does not skip 0)
   - Reasoning: obvious
   - Proposed resolution: no changes
     o Common for all the TDM-related drafts (CEP, SAToP, CESoPSN, TDMoIP)
     o Aligned with RFC 3550 and ITU-T Recommendation Y.1413

4. Issue: Downstream trunk conditioning (defined in Bellcore TR NWT 170)
   MUST be applied by the ingress PE upon detecting AIS or RDI condition
   of the local AC. Bi-directional (both downstream and upstream) trunk 
   conditioning must be applied by the egress PE if it enters the Packet
   Loss state.
   - Reasoning: This is the defined behavior of ATM-CES
   - Proposed resolution: place this functionality in the NSP
     of the egress PE: 
     o Only downstream trunk conditioning in the egress PE is
       required (the necessary indications are always carried
       across the PW in teh CESoPSN CW - something ATM-CES does
       not provide for!)
     o Within the PE, relegate this functionality (which is "native TDM")
       to the appropriate NSP
     o Make the actual handling of the conditions described above locally
       configurable.
   - Detailed explanation will be presented in a separate email message
     and updated CESoPSN draft

5. Issue: Data and signaling packets form two independent sequenced
   sub-flows within the same PW
   - Tim has initiated a separate thead on this list to discuss this issue

6. Issue: Propagation of RDI and AIS from client to server layer
   contradicts basic architecture of layered networks
   - Explanation will be presented in a separate email.

With best regards,
                                   Sasha Vainshtein
email:     [email-masked]
tel:       +972-3-7659993 (office)
           +972-8-9254948 (res.)
           +972-58-674833 (cell.)